%define glib2_version 2.2.0
%define pango_version 1.2.0
%define gtk2_version 2.3.0
%define libgnomeui_version 2.2.0
%define desktop_file_utils_version 0.9
%define gail_version 1.2.0
%define eel2_version 2.2.0
%define gnome_vfs2_version 2.2.0
%define libgnomeprintui22_version 2.2.1.1

Summary: Eye of GNOME image viewer
Name:    eog
Version: 2.8.1
Release: 2
URL: http://www.gnome.org
Source: ftp://ftp.gnome.org/pub/GNOME/pre-gnome2/sources/eog/%{name}-%{version}.tar.bz2
License: GPL 
Group: User Interface/Desktops
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: pango-devel >= %{pango_version}
BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: libgnomeui-devel >= %{libgnomeui_version}
BuildRequires: gail-devel >= %{gail_version}
BuildRequires: eel2-devel >= %{eel2_version}
BuildRequires: gnome-vfs2-devel >= %{gnome_vfs2_version}
BuildRequires: libgnomeprintui22-devel >= %{libgnomeprintui22_version}
BuildRequires: libexif-devel
BuildRequires: intltool
BuildRequires: libjpeg-devel
BuildRequires: scrollkeeper
BuildRequires: gettext
BuildRequires: desktop-file-utils >= %{desktop_file_utils_version}
Prereq:        desktop-file-utils >= %{desktop_file_utils_version}

# Needed for gconftool
Prereq: GConf2

%description

Eye of GNOME (EOG) is an image viewer component used by Nautilus.

%prep
%setup -q
echo "NoDisplay=true" >> eog.desktop.in

%build

%configure
make

%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

rm -r $RPM_BUILD_ROOT/var/scrollkeeper

## http://bugzilla.gnome.org/show_bug.cgi?id=89379
perl -pi -e 's/Categories=Application;Graphics/Categories=Application;Graphics;/' $RPM_BUILD_ROOT%{_datadir}/applications/* 

desktop-file-install --vendor gnome --delete-original       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --add-category X-Red-Hat-Extra                            \
  $RPM_BUILD_ROOT%{_datadir}/applications/*

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
update-desktop-database %{_datadir}/applications
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="eog.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S > /dev/null
done

%postun
update-desktop-database %{_datadir}/applications

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_datadir}/eog
%{_datadir}/pixmaps
%{_datadir}/gnome-2.0
%{_datadir}/gnome
%{_datadir}/applications
%{_datadir}/omf
%{_bindir}/*
%{_sysconfdir}/gconf/schemas/*.schemas

%changelog
* Sat Nov  8 2004 Marco Pesenti Gritti <mpg@redhat.com> 2.8.1-2
- Rebuilt for RHEL4. Fix bug #117509

* Sat Nov  6 2004 Marco Pesenti Gritti <mpg@redhat.com> 2.8.1-1
- Update to 2.8.1

* Thu Sep 30 2004 Christopher Aillon <caillon@redhat.com> 2.8.0-3
- Prereq desktop-file-utils >= 0.9
- update-desktop-database on uninstall

* Sun Sep 26 2004 Christopher Aillon <caillon@redhat.com> 2.8.0-2
- Remove the graphics menu entry (#131724)

* Wed Sep 22 2004 Christopher Aillon <caillon@redhat.com> 2.8.0-1
- Update to 2.8.0

* Wed Aug 19 2004 Christopher Aillon <caillon@redhat.com> 2.7.1-1
- Update to 2.7.1

* Mon Aug 16 2004 Christopher Aillon <caillon@redhat.com> 2.7.0-3
- Use update-desktop-database instead of rebuild-mime-info-cache

* Sun Aug 15 2004 Christopher Aillon <caillon@redhat.com> 2.7.0-2
- Rebuild MIME info cache

* Sun Aug 15 2004 Christopher Aillon <caillon@redhat.com> 2.7.0-1
- Update to 2.7.0

* Tue Jun 29 2004 Christopher Aillon <caillon@redhat.com> 2.6.1-1
- Update to 2.6.1

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Sat Apr 10 2004 Warren Togami <wtogami@redhat.com> 2.6.0-2
- BR intltool libjpeg-devel scrollkeeper gettext

* Fri Apr  2 2004 Alex Larsson <alexl@redhat.com> 2.6.0-1
- update to 2.6.0

* Wed Mar 10 2004 Alex Larsson <alexl@redhat.com> 2.5.90-1
- update to 2.5.90

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Feb 26 2004 Alexander Larsson <alexl@redhat.com> 2.5.6-1
- update to 2.5.6

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Jan 30 2004 Alexander Larsson <alexl@redhat.com> 2.5.3-1
- update to 2.5.3

* Fri Oct  3 2003 Alexander Larsson <alexl@redhat.com> 2.4.0-1
- 2.4.0

* Fri Aug 29 2003 Alexander Larsson <alexl@redhat.com> 2.3.5-2
- prereq gconf2 (#90698)

* Tue Aug 19 2003 Alexander Larsson <alexl@redhat.com> 2.3.5-1
- update for gnome 2.3

* Tue Jul 29 2003 Havoc Pennington <hp@redhat.com> 2.2.2-2
- rebuild

* Mon Jul  7 2003 Havoc Pennington <hp@redhat.com> 2.2.2-1
- 2.2.2
- remove arg-escaping patch now upstream

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Apr  1 2003 Havoc Pennington <hp@redhat.com> 2.2.0-2
- add patch to better escape filenames passed in as arguments
- add eel2-devel buildreq

* Thu Feb  6 2003 Havoc Pennington <hp@redhat.com> 2.2.0-1
- 2.2.0
- fix dependency versions

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Fri Dec 13 2002 Tim Powers <timp@redhat.com> 1.1.3-1
- update to 1.1.3
- include glade file

* Sun Dec  1 2002 Havoc Pennington <hp@redhat.com>
- 1.1.2

* Tue Aug  6 2002 Havoc Pennington <hp@redhat.com>
- 1.0.2
- remove --copy-generic-name-to-name because there's no GenericName
  anymore
- include libexecdir stuff

* Mon Jul 29 2002 Havoc Pennington <hp@redhat.com>
- copy generic name to name and move to -Extra

* Mon Jul 29 2002 Havoc Pennington <hp@redhat.com>
- 1.0.1, rebuild with new gail

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun Jun 16 2002 Havoc Pennington <hp@redhat.com>
- 1.0.0
- use desktop-file-install

* Fri Jun 07 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Wed Jun 05 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue May 21 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment
- build requires libgnomeprint

* Tue May 21 2002 Havoc Pennington <hp@redhat.com>
- 0.118.0

* Fri May  3 2002 Havoc Pennington <hp@redhat.com>
- 0.117.0

* Thu Apr 25 2002 Havoc Pennington <hp@redhat.com>
- initial build



